%define upstream_name HTML_BBCodeParser
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.4
Release:     	%mkrel 11
Summary:    	This is a parser to replace UBB style tags with their html equivalents
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/HTML_BBCodeParser-%{version}.tgz
URL: 		https://pear.php.net/package/HTML_BBCodeParser
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.5.4
BuildArch: 	noarch

%description
This is a parser to replace UBB style tags with their html equivalents.
 It does not simply do some regex calls, but is complete stack based parse
engine. This ensures that all tags are properly nested, if not, extra tags
are added to maintain the nesting. This parser should only produce xhtml
1.0 compliant code. All tags are validated and so are all their attributes.
It should be easy to extend this parser with your own tags.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=/tmp/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}/tmp/tests


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_BBCodeParser.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_BBCodeParser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_BBCodeParser
fi

%files
%{peardir}/*
%{xmldir}/HTML_BBCodeParser.xml


%changelog
* Tue Aug 16 2022 mokraemer <mokraemer> 1.2.4-11.mga9
+ Revision: 1878235
- remove old testcases/requirement to old phpunit

* Fri Jun 24 2022 papoteur <papoteur> 1.2.4-10.mga9
+ Revision: 1865852
- Mass Rebuild for dependencies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.4-8.mga8
+ Revision: 1498950
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.4-7.mga7
+ Revision: 1273209
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.2.4-6.mga6
+ Revision: 933636
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 745245
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.2.4-4.mga5
+ Revision: 734045
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-3.mga5
+ Revision: 687264
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 528020
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1.2.4-1.mga4
+ Revision: 443202
- upgrade to version 1.2.4

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 376197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 218439
- upgrade to 1.2.3
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 1.2.2-6.mga1
+ Revision: 47175
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_BBCodeParser

